<?xml version="1.0" encoding="Shift_jis"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml">
	<xsl:output
		doctype-public="-//W3C//DTD XHTML 1.1//EN"
		doctype-system="http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd"
		encoding="Shift_jis"
		method="html" />

	<xsl:template match="/">
		<html>
			<head>
				<title>The Giraffe+ Settings Dialog Scripts</title>
				<style type="text/css">
				body{
					font-family:verdana, lr oSVbN;
					font-size:90%;
				}
				h2{
					font-size:100%;
					border:1px solid #09e;
					border-width:0 0 1px 0;
				}
				span.name{
					font-weight:bold;
					font-size:1.2em;
				}
				span.desc{
					font-size:1em;
					margin-left:1em;
				}
				table{
					margin:0 1em 1em 1em;
					line-height:140%;
				}
				td.separator{
					background-color:#eee;
					height:1px;
				}
				th{
				}
				td.check{
					text-align:center;
				}
				td.key{
					color:#e90;
					font-weight:bold;
					font-size:90%;
					text-align:center;
				}
				td.name{
					font-size:90%;
					text-align:center;
				}
				td.desc{
				}
				</style>
			</head>
			<body>
				<h1>The Giraffe+ Settings Dialog Scripts</h1>
				<xsl:apply-templates select="gs_object_tree/*">
				</xsl:apply-templates>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template match="*">
		<tr>
			<td class="check">
				<xsl:if test="object[@id='check']/@value = '1'">
					<i><b>v</b></i>
				</xsl:if>
			</td>
			<xsl:if test="../@id = 'key' or ../@id = 'hotkey'">
				<td class="key"><xsl:value-of select="object[@id='key']/@value"/></td>
			</xsl:if>
			<td class="name"><xsl:value-of select="@id"/></td>
			<td class="desc"><xsl:value-of select="@value"/></td>
		</tr>
		<tr><td class="separator" colspan="4"></td></tr>
	</xsl:template>
	
	<xsl:template match="object[@id='locale']">
		<p>
			<xsl:choose>
				<xsl:when test="@value = 'japanese'">
					ݒ_CAOSettingsȉɂXNvg̈ꗗłB<br/>
					CheckKey̓ftHg̏ԂłB<br/>
					ݒ_CAÔ̂̐<a href="manual.html#settings_dialog">manual.html#settings_dialog</a>QƂĂB<br/>
					ȂƂ낪΁A<a href="mailto:shu@freemail.lt">[</a><a href="http://d.hatena.ne.jp/ijuhs/">uO</a>Ŏ₵ĂB
				</xsl:when>
				<xsl:otherwise>
					This is the list of scripts shown in the Settings section in Settings Dialog.<br/>
					Check and Key are default states.<br/>
					To view explanation of Settings Dialog itself, refer to <a href="manual_en.html#settings_dialog">manual_en.html#settings_dialog</a>.<br/>
					<a href="mailto:shu@freemail.lt">Email</a> me if you have any questions.
				</xsl:otherwise>
			</xsl:choose>
		</p>
	</xsl:template>
	
	<xsl:template match="object[@id='setup']|object[@id='key']|object[@id='hotkey']">
		<h2><span class="name"><xsl:value-of select="@id"/></span><span class="desc"><xsl:value-of select="@value"/></span></h2>
		<table>
			<tr>
				<th>Check</th>
				<xsl:if test="@id = 'key' or @id = 'hotkey'">
					<th>Key</th>
				</xsl:if>
				<th>Name</th>
				<th>Description</th>
			</tr>
			<xsl:if test="count(child::*) != 0">
				<xsl:apply-templates select="*">
					<xsl:sort select="object[@id='order']/@value" data-type="number"/>
				</xsl:apply-templates>
			</xsl:if>
		</table>
	</xsl:template>
</xsl:stylesheet>
